std::filesystem::path::iterator Class Reference
Filesystem

`#include <filesystem>`

## Public Types

using | difference_type
using | iterator_category
using | pointer
using | reference
using | value_type

## Public Member Functions

| iterator (const iterator &)=default
reference | operator* () const noexcept
iterator & | operator++ () noexcept
iterator | operator++ (int) noexcept
iterator & | operator-- () noexcept
iterator | operator-- (int) noexcept
pointer | operator-> () const noexcept
iterator & | operator= (const iterator &)=default

## Friends

void | __path_iter_advance (iterator &__i, difference_type __n) noexcept
difference_type | __path_iter_distance (const iterator &__first, const iterator &__last) noexcept
bool | operator!= (const iterator &__lhs, const iterator &__rhs) noexcept
bool | operator== (const iterator &__lhs, const iterator &__rhs) noexcept
class | path

## Detailed Description

An iterator for the components of a path.

Since
  C++17

Definition at line 946 of file bits/fs_path.h.

## Member Typedef Documentation

## difference_type

using std::filesystem::path::iterator::difference_type

Definition at line 949 of file bits/fs_path.h.

## iterator_category

using std::filesystem::path::iterator::iterator_category

Definition at line 953 of file bits/fs_path.h.

## pointer

using std::filesystem::path::iterator::pointer

Definition at line 952 of file bits/fs_path.h.

## reference

using std::filesystem::path::iterator::reference

Definition at line 951 of file bits/fs_path.h.

## value_type

using std::filesystem::path::iterator::value_type

Definition at line 950 of file bits/fs_path.h.

## Constructor & Destructor Documentation

## iterator()

std::filesystem::path::iterator::iterator | ( |  | ) |

inline noexcept

Definition at line 955 of file bits/fs_path.h.

## Member Function Documentation

## operator++()

iterator std::filesystem::path::iterator::operator++ | ( | int |  | ) |

inline noexcept

Definition at line 965 of file bits/fs_path.h.

## operator--()

iterator std::filesystem::path::iterator::operator-- | ( | int |  | ) |

inline noexcept

Definition at line 970 of file bits/fs_path.h.

## operator->()

pointer std::filesystem::path::iterator::operator-> | ( |  | ) | const

inline noexcept

Definition at line 961 of file bits/fs_path.h.

## Friends And Related Symbol Documentation

## __path_iter_advance

void __path_iter_advance | ( | iterator & | __i,
|  | difference_type | __n )

friend

Definition at line 1003 of file bits/fs_path.h.

## __path_iter_distance

difference_type __path_iter_distance | ( | const iterator & | __first,
|  | const iterator & | __last )

friend

Definition at line 989 of file bits/fs_path.h.

## operator!=

bool operator!= | ( | const iterator & | __lhs,
|  | const iterator & | __rhs )

friend

Definition at line 978 of file bits/fs_path.h.

## operator==

bool operator== | ( | const iterator & | __lhs,
|  | const iterator & | __rhs )

friend

Definition at line 974 of file bits/fs_path.h.

## path

friend class path

friend

Definition at line 982 of file bits/fs_path.h.

The documentation for this class was generated from the following file:

- bits/fs_path.h